<html>
	<head>
		<title>Raphael</title>

		<script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/3.1.1/jquery.min.js"></script>
		<script type="text/javascript" src="https://cdn.jsdelivr.net/raphael/2.1.4/raphael-min.js"></script>

		<style type="text/css">
			#canvas{
				width:600px;
				border:1px solid #aaa;
			}
		</style>
	</head>
	<body>
		<div id="canvas"></div>
		<h1 id="h1"></h1>

		<button id="test" type="button">test</button>

		<script type="text/javascript">
			var animated = false;

			var paper = new Raphael("canvas",600,500);
			paper.rect(0,450,600,50).attr({
				fill:"#000000"
			});
			var circle = paper.circle(100,360,90).attr({
				fill:"#000000"
			});
			$("button").on("bounce",function(){
				if(animated)return
				animated = true;

				circle.animate({
					cy:100,
					easing:"<>",
					callback:function(){
						circle.animate({
							cy:360,
							easing:"bounce",
							callback:function(){
								circle.animate({
									cx:200,
									cy:250,
									easing:"<>",
									callback:function(){
										circle.animate({
											cx:250,
											cy:360,
											easing:"bounce",
											callback:function(){
												circle.animate({
													cx:300,
													cy:300,
													easing:"<>",
													callback:function(){
														circle.animate({
															cx:350,
															cy:360,
															easing:"bounce",
															callback:function(){
																circle.animate({
																	cx:400,
																	cy:350,
																	animate:"<>",
																	callback:function(){
																		circle.animate({
																			cx:450,
																			cy:360,
																			easing:">",
																			callback:function(){
																				circle.animate({
																					cx:100,
																					callback:function(){
																						animated = false;
																					}
																				},0);
																			}
																		},500);
																	}
																},500);
															}
														},500);
													}
												},500);
											}
										},500);
									}
								},500);
							}
						},500);
					},
				},500);
			});
			var UP_KEY = 38;
			$(document).on("keydown",function(e){
				switch(e.which){ // e.which contient le key code de la touche appuyée
					case UP_KEY:
						// touche gauche, slide précédent
						$("button").trigger("bounce");
						break;
					default:
						// pour toutes les autres touches, on termine la fonction, pour éviter de relancer l'interval pour rien
						return;
				}
			});
		</script>
	</body>
</html>